# $Revision: 1.20 $, $Date: 2005/08/15 08:20:10 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Library for Reiser4 filesystem
Summary(pl):	Bibloteka dla systemu plikw Reiser4
Name:		libaal
Version:	1.0.5
Release:	1
License:	GPL v2
Group:		Libraries
Source0:	ftp://ftp.namesys.com/pub/reiser4progs/%{name}-%{version}.tar.gz
# Source0-md5:	6c55201acd2a2c0a1f46addf248da6a2
Patch0:		%{name}-opt.patch
URL:		http://www.namesys.com/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libaal library - needed for Reiser4 filesystem utilities.

%description -l pl
Biblioteka libaal - potrzebna do narzdzi dla systemu plikw Reiser4.

%package devel
Summary:	Header files for libaal library
Summary(pl):	Pliki nagowkowe biblioteki libaal
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libaal library.

%description devel -l pl
Pliki nagwkowe biblioteki libaal.

%package static
Summary:	Static version of libaal
Summary(pl):	Wersja statyczna libaal
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of libaal library.

%description static -l pl
Statyczna wersja biblioteki libaal.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	%{!?debug:--disable-debug} \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
# COPYING contains information other than GPL text
%doc AUTHORS BUGS COPYING CREDITS ChangeLog README THANKS TODO
%attr(755,root,root) %{_libdir}/lib*-*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*
%{_aclocaldir}/*.m4

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libaal.spec,v $
Revision 1.20  2005/08/15 08:20:10  qboosh
- updated to 1.0.5

Revision 1.19  2005/06/15 21:14:59  witekfl
- added header "Conditional build:"

Revision 1.18  2005/06/15 17:30:50  witekfl
- s/bcond_without static/bcond_without static_libs/

Revision 1.17  2005/06/14 19:33:48  witekfl
- renamed static_libs -> static

Revision 1.16  2005/06/14 16:25:08  witekfl
- added bcond_without static_libs

Revision 1.15  2005/02/20 20:04:14  adamg
- updated to 1.0.4
- dropped -am18.patch (applied upstream)

Revision 1.14  2004/12/10 15:50:39  adamg
- updated to 1.0.3

Revision 1.13  2004/10/24 19:54:44  qboosh
- opt patch is back (updated)

Revision 1.12  2004/10/24 10:49:27  jpc
- up to 1.0.2
- removed outdated opt patch

Revision 1.11  2004/09/01 11:49:23  snurf
- typos / formatting / etc.

Revision 1.10  2004/08/27 12:40:44  areq
- 1.0.0

Revision 1.9  2004/08/08 12:31:32  adamg
- updated to 0.5.3

Revision 1.8  2004/04/10 22:31:19  qboosh
- updated to 0.5.0 from 2004.03.26 snapshot

Revision 1.7  2003/12/28 12:41:47  qboosh
- updated to 0.4.15 from reiser4 snap 2003.12.23
- updated opt patch, added am18 patch

Revision 1.6  2003/09/02 12:46:17  adamg
- updated to snapshot 20030826

Revision 1.5  2003/08/14 13:26:45  adamg
- updated to 0.4.9

Revision 1.4  2003/07/13 16:05:09  erjot
- up to 20030614

Revision 1.3  2003/06/05 21:14:20  qboosh
- use standard lib sheme (added -devel package)
- libtoolize (to fix .so* extensions), added missing libaal.m4
- removed generic INSTALL from doc
- better descriptions
- added opt patch, disabled debug by default

Revision 1.2  2003/05/29 17:16:32  wiget
- adapterized
